#
# spec file for package aterm (Version 0.4.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         aterm
Copyright:    	GPL
Group:        	X11/Terminals
Url:          	http://aterm.sourceforge.net/
Provides:      	aterm
Autoreqprov:  	on
Summary:      Transparent, resource friendly terminal
Version:      0.4.0
Release:      136
Source:	      aterm-%{version}.tar.bz2
Patch:	      aterm-%{version}.dif

%description
aterm is a pseudo transparency terminal. It is resource friendly and has many
features like fading (darkening/lightening of colors when aterm is losing
focus) and tint color (pseudo transparency background color).
You can find some configuration examples under
/usr/share/doc/packages/aterm/README.SuSE

Authors:
--------
    Rob Nation <nation@rocket.sanders.lockheed.com>
    Angelo Haritsis <ah@doc.ic.ac.uk>
    mj olesen <olesen@me.QueensU.CA>
    Oezguer Kesim <kesim@math.fu-berlin.de>
    Geoff Wing <gcw@pobox.com>
    Sasha Vasko <sashav@sprintmail.com>

SuSE series: xap

%prep
%setup -n aterm-0.4.0
%patch 

%build
./configure --prefix=/usr/X11R6 --enable-fading --enable-background-image \
--with-x --enable-half-shadow --enable-menubar --enable-utmp --enable-wtmp \
--enable-graphics
# --with-terminfo=/usr/X11R6/lib/X11/etc/xterm.terminfo
make

%install
# docu
make install
install -d -m 755 /usr/share/doc/packages/aterm/
install -d -m 755 /usr/share/doc/packages/aterm/menu/
install -d -m 755 /usr/share/doc/packages/aterm/etc/
install -d -m 755 /usr/share/doc/packages/aterm/scripts/
install -m 644 ./README.Unix98PTY /usr/share/doc/packages/aterm/
install -m 644 doc/*.* /usr/share/doc/packages/aterm/
install -m 644 doc/FAQ /usr/share/doc/packages/aterm/etc/
install -m 644 doc/BUGS /usr/share/doc/packages/aterm/etc/
install -m 644 doc/etc/* /usr/share/doc/packages/aterm/etc/
install -m 644 doc/menu/* /usr/share/doc/packages/aterm/menu/
install -m 644 scripts/* /usr/share/doc/packages/aterm/scripts/

%post

%files
/usr/X11R6/bin/aterm
%doc /usr/share/doc/packages/aterm
%doc /usr/X11R6/man/man1/aterm.1.gz

%changelog -n aterm
* Fri Jan 26 2001 - lemsi@suse.de
- drop big5 support and now german , ,  work
* Wed Jan 17 2001 - adrian@suse.de
- make it in the right way
* Sun Jan 14 2001 - adrian@suse.de
- drop korean support. the other world have TERM=xterm back
* Thu Dec 07 2000 - ro@suse.de
- compile fix, bzipped source
* Wed Dec 06 2000 - lemsi@suse.de
- update to 0.4.0
* Thu May 11 2000 - lemsi@suse.de
- changed in spec-file ./README.Unix98PTY /usr/doc/packages/aterm/
  to ./README.Unix98PTY /usr/share/doc/packages/aterm/
* Mon May 08 2000 - lemsi@suse.de
- doc path changed to /usr/share/doc/packages/aterm
- group X11/Terminals selected
* Wed Feb 02 2000 - lemsi@suse.de
- new package
